WBCE CMS Forum

WBCE CMS – Way Better Content Editing.

You are not logged in.

#1 09.10.2021 16:54:49

florian
Administrator

WBCE CMS 1.5.1 verfügbar / available

DE (english information follows)

WBCE 1.5.1  ist ab sofort als Installations-/Upgradepaket auf GitHub verfügbar.

Was ist neu in 1.5.1?

Im Ggs. zur vorherigen Version ist dieser Release wieder ein Wartungsrelease mit überschaubarem Umfang an Änderungen.
Konkret:

  • Allgemeine php 8 fixes und diverse Modulupdates

  • elFinder, phpMailer und CKEditor sind in den neuesten Versionen vorhanden

  • Material Theme für elFinder als Standard (danke an mastermind)

  • show_breadcrumbs in SM2 funktioniert wieder

  • Doctrine wurde entfernt

  • Das OPF-Dashboard hat mehrere Fixes bekommen (ein spezieller Dank geht an altasfreak)

  • Detailverbesserungen am Modul News with Images  (Danke an losttrip für zahlreiche Anregungen)

Wer bereits 1.5.0 im Einsatz hat, braucht beim Update außer der üblichen Hinweise (siehe unten) nichts weiter zu beachten.
Hingegen ist bei der Aktualisierung von Versionen < 1.5.0 Aufmerksamkeit geboten, hierzu sei auf die Releasenotes ebenjener Version verwiesen.

Kompatibilität/Systemvoraussetzungen
  • WBCE CMS 1.5.1 ist freigegeben für PHP 7.2.5 bis PHP 8.0.x. Darunter oder darüber liegende PHP-Versionen werden nicht unterstützt.

Anleitung Neuinstallation
  1. Das Installationspaket herunterladen und wie hier beschrieben verfahren

  2. Anmelden und Loslegen

Anleitung Update
  1. Datensicherung machen (z.B. mit dem Backup-Tool oder manuelle Sicherung des Server-Dateibestandes) - WICHTIG

  2. Datenbanksicherung erstellen (Dump/Export, z.B. mit dem Backup-Tool oder PhpMyAdmin etc.) - WICHTIG

  3. Das Installationspaket herunterladen und lokal entpacken

  4. Wie hier beschrieben verfahren. Hinweis: wurde das /admin-Verzeichnis auf dem Server umbenannt, vor dem Upload die Umbenennung entsprechend im Installationspaket anpassen!
    *Bitte beachten, dass beim Update grundsätzlich alle vorhandenen Core-Dateien überschrieben werden. Falls also Anpassungen an den Standard-Templates WBCEZon/WBCETik vorgenommen wurden, unbedingt diese vor dem Upload aus dem Installationspaket entfernen, da sonst die auf dem Server befindlichen angepassten Versionen überschrieben werden.

  5. Updater aufrufen, Hinweis lesen und bestätigen und auf "Start Update Script" klicken

  6. Ggfs. im Zuge des Upgrades überschriebene Anpassungen an Modulen (->frontend.js/css) und Templates durch Zurückkopieren der zuvor lokal gesicherten Dateien wiederherstellen

  7. Am Backend anmelden

  8. Ggfs. nicht benötigte Module und Templates über Erweiterungen > Module bzw. Erweiterungen > Templates wieder deinstallieren

  9. Admintool Module Update Check installieren (sofern noch nicht vorhanden) und Aktualisierungsbedarf aller verwendeten Module prüfen und ggf. beheben

Mit dem Update-Script können alle vorherigen Versionen von WBCE (und ggf. ältere WB-Versionen bis 2.8.3 SPxx) ohne Zwischenschritte auf WBCE CMS 1.5.1 aktualisiert werden.

Vielen Dank an alle Beteiligten an diesem Release.

Last edited by florian (09.10.2021 17:10:52)

Offline

Liked by:

klawin, colinax, giz, byteworker, Slugger, losttrip, awuest, thanks, mastermind, yukoner

#2 09.10.2021 17:02:26

florian
Administrator

Re: WBCE CMS 1.5.1 verfügbar / available

WBCE 1.5.1 is now available as an installation / upgrade package on GitHub.

What's new in 1.5.1?

Unlike the prior release, the 1.5.1 release is a maintenance/bugfix release with only small changes:

  • Several php 8 fixes and module updates

  • elFinder, phpMailer and CKEditor updated to current versions

  • Material Theme for elFinder as default (special thanks to mastermind)

  • show_breadcrumbs in SM2 works again

  • Removed doctrine

  • Several bugfixes for the OPF-Dashboard (special thanks to altasfreak)

  • Several optimizations for News with Images (special thanks to losttrip)

If you are already using 1.5.0, you don't need to pay attention to anything other than the usual information (see below) during the update.
But when updating from versions <1.5.0, attention is required, please refer to the release notes of that version.

Compatibility / system requirements

WBCE CMS 1.5.1 is compatible to PHP 7.2.5 to PHP 8.0.x. PHP versions below or above are not supported.

New installations
Updates from prior Versions of WBCE CMS
  • Create a data backup (e.g. with the backup tool or manual backup of the server files) - IMPORTANT

  • Create a database backup (dump / export, e.g. with the backup tool or PhpMyAdmin etc.) - IMPORTANT

  • Download the installation package and unzip it locally

  • Proceed as described here. Note: if the / admin directory on the server was renamed, adjust the renaming accordingly in the installation package before uploading!

  • Please note that all existing core files will be overwritten during the update. So if adjustments have been made to the standard templates WBCEZon / WBCETik, it is essential to remove these from the installation package before uploading, otherwise the adjusted versions on the server will be overwritten.

  • Point your browser to the update script, read and confirm the note and click on

  • If necessary, restore overwritten adjustments to modules (-> frontend.js / css) and templates by copying back the files that were previously saved locally

  • Log in to the backend

  • If necessary, uninstall modules and templates that are not required via Add-Ons > Modules or Add-Ons > Templates

  • Install the Admintool Module Update Check (if not already done) and check the versions of all modules used and update them if necessary

With the update script, all previous versions of WBCE (and possibly older WB versions up to 2.8.3 SPxx) can be updated to WBCE CMS 1.5.1 without any intermediate steps.

Many thanks to everyone involved in this release.

Last edited by florian (09.10.2021 17:11:23)

Offline

Liked by:

losttrip

Board footer

up